-- rectype.sql

DECLARE
  TYPE emp_t IS RECORD (
    fname person.firstname%TYPE,
    lname person.lastname%TYPE,
    snum  store.store_number%TYPE,
    pay   employee.pay_amount%TYPE
  );

  mgr emp_t;

BEGIN

  SELECT firstname, lastname, store.store_number, pay_amount
    INTO mgr
    FROM person JOIN employee USING (id)
                JOIN store ON id = manager_id
   WHERE store.city = 'Las Vegas';

END;
/


